Bug 108413 - Make mound, statd, lockd a PIE
Make mound, statd, lockd a PIE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Ben Levenson
: FutureFeature
Depends On:
Blocks: 107774
  Show dependency treegraph
 
Reported: 2003-10-29 01:19 EST by Ulrich Drepper
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-13 06:12:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Minimal patch to enable PIE for the three binaries (1.54 KB, patch)
2003-10-29 01:20 EST, Ulrich Drepper
no flags Details | Diff

  None (edit)
Description Ulrich Drepper 2003-10-29 01:19:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6a) Gecko/20031028
Firebird/0.7+

Description of problem:
NFS utils are long running and of questionable lineage.  Good candidates for
PIEs.  I'll attach a patch.

Version-Release number of selected component (if applicable):
nfs-utils-1.0.6-1

How reproducible:
Always

Steps to Reproduce:
1.readelf -h /usr/sbin/rpc.mountd|fgrep Type
2.
3.
    

Actual Results:    Type:                              EXEC (Executable file)


Expected Results:    Type:                              DYN (Shared object file)


Additional info:
Comment 1 Ulrich Drepper 2003-10-29 01:20:15 EST
Created attachment 95563 [details]
Minimal patch to enable PIE for the three binaries
Comment 2 Thomas Woerner 2004-02-13 06:12:02 EST
Fixed in rawhide in rpm nfs-utils-1.0.6-5 or newer.

Note You need to log in before you can comment on or make changes to this bug.